List

Returns a list all of customer subscriptions for a merchant, or a list of subscriptions for an individual customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🔐

Authentication

✔️ Application API Scope

✔️ Storefront API Scope

Note: Application API Scope with Bulk Operations permission is required to list subscriptions for more than one customer.

Response Body Definitions

NameTypeDescriptionExample
customerstringCustomer ID"00026001"
merchantstringMerchant ID"ac4f7938383a11e89ecbbc764e1107f2"
productstringProduct ID"0070000693"
paymentstringPayment record ID"070001bc02fd11e99542bc764e1043b0"
shipping_addressstringShipping address record ID"66c25cd0564011e9abc5bc764e107990"
offerstringOffer ID"a748aa648ac811e8af3bbc764e106cf4"
offer_profile_public_idstringOffer profile ID"55a13e38981e43a0a59d30391d91d004"
subscription_typestringSubscription Type"Replenish"
componentsstringLegacy Bundle components"product_id_1,product_id_2"
componentsarray of objectsNew Bundle componentsSee example below
extra_datastringRaw JSON string that should be JSON.parse() as key/value store for any extra information.See example below
public_idstringSubscription ID"f9cb2f93e1c845eb9de9eff46ddb3cbf"
product_attributestring"null"
quantityintegerNumber of items21
pricestring

Price

Note: Usually passed as "null" unless you explicitly lock a subscription price

"12.99"
frequency_daysintegerOrder placement interval in days42
reminder_daysintegerDays before order placement to email reminder (minimum of 5)42
everyintegerNumber of periods6
every_periodintegerType of period3
start_datestringDate of subscription start, in format YYYY-MM-DD"2019-07-21"
cancelledstringDate of subscription cancellation; null=not cancelled."null"
cancel_reasonstringPipe-delimited cancel reason code and cancel reason details"4|Overstocked"
cancel_reason_codestringCancel reason code"4"
currency_codestringThree letter ISO currency code"USD"
iterationstringDeprecated
sequencestringDeprecated
session_idstringSession ID, obtained from og_session_id cookie"ac4f7938383a11e89ecbbc764e1107f2.896371.1539022086"
merchant_order_idstringOrder ID in your system"301617"
customer_repstringDeprecated
clubstringDeprecated
createdstringDate created"2017-02-29 12:00:00"
updatedstringDate updated"2017-02-29 12:00:00"
livebooleanTrue=active subscription; False=inactive subscriptionTrue
prepaid_subscription_contextobjectPrepaid information (Returned only if prepaid is enabled)See example below
free_trial_subscription_contextobjectReturned only if subscription has free trialSee example below
granteesarraylist of grantees that a subscription hasSee example below

JSON Examples

New Bundle Components Example

[  
  {  
    "public_id": "79d2dc76245111eeb185acde48001122",  
    "quantity": 1,  
    "product": "0070067690"  
  },  
  {  
    "public_id": "7eeaa504245111eeb185acde48001122",  
    "quantity": 3,  
    "product": "0070067691"  
  }  
]

Extra Data Example

{"some": "extra", "fields": "here"}

Prepaid Subscription Context Example

{
  "prepaid_orders_remaining": 0,
  "prepaid_orders_per_billing": 3,
  "renewal_behavior": "autorenew",
  "last_renewal_revenue": 100.8,
  "prepaid_origin_merchant_order_id": "#3082"
}

Free Trial Subscription Context Example

{
  "product": "53485191069987",
  "days": 15,
  "conversion_item": 38998940,
  "expiration": "2025-09-23T13:12:22.704013",
  "is_in_free_trial": false
}

Grantees Example

[
  {
    "external_id": "abc",
		"name": "Grantee 1"
  },
  {
    "external_id": "def",
		"name": "Grantee 2"
  },
]
Query Params
live
array of booleans

Subscription status: active (True) or inactive (False)

live
string

Unique product identifier

string

Address ID

string

Customer ID (only available in API user scope)

date

Subscription's created date exact match (yyyy-mm-dd)

date

Subscription's created date later or equal than parameter (yyyy-mm-dd)

string

Subscription's created date sooner or equal than parameter (yyyy-mm-dd)

date

Subscription's updated date exact match (yyyy-mm-dd). On subscription creation is populated with same value as created field.

date

Subscription's updated datetime later or equal than parameter (yyyy-mm-ddThh:mm:ss)

date

Subscription's updated date time is sooner or equal than parameter (yyyy-mm-ddThh:mm:ss)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json